# Retrieve a Transaction

You can use this method to retrieve an entire capture data. This method returns sensitive data captured in the transaction process.

{% tabs %}
{% tab title="cUrl" %}
**GET /V1/request/:id**

```
curl -X GET https://api.firstoken.co/transactions/requests/:id 
-H 'x-api-key: YOUR_API_KEY'
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid Transaction ID
> {% endtab %}

{% tab title="Attributes of the response" %}
**status\_code**: *int*

> The status code represents the result of the operation that was performed. For successful transactions a code 200 is always returned for the others another code is returned.

**status**: *string*

> The status is a string result that only has two possible values. "Success" or "Fail".

**desc**: *string*

> The desc value represents a short description about the status code.

**data**: *{object}*

> The value of the data represents a set of JSON objects of detokenized tokens. Each object has the following attributes:
>
> * **id**: *string*
>
>   The Firstoken Captures transaction unique identifier.
> * **pan**: *string*
>
>   The clear text primary account number or PAN.
> * **exp**: *string*
>
>   A valid expiration card date with the format MM/YY.
> * **name**: *string*
>
>   The cardholder name of the card.
> * **cvv**: *int*
>
>   A valid CVV code for the card.
> * **amount**: *int*
>
>   The amount of the capture.
> * **currency**: *string*
>
>   The three digits ISO code for the currency.
> * **additional\_info**: *{object}*
>
>   An object with the additional fields of the capture.
>   {% endtab %}
>   {% endtabs %}

<details>

<summary>Example JSON response body</summary>

```json
{
    "status_code": 200,
    "status": "success",
    "desc": "Success",
    "data": {
        "id": "890f228b-7cc9-46cd-8ab2-f496a9f963e2",
        "pan":"4242424242424242",
        "exp":"01/25",
        "name":"Jhon Smith",
        "cvv":"1234",
        "currency":"USD",
        "amount":"100",
        "additional_info": {
            "phone": "(555) 555-1234",
            "pan_index": "c436a9c1af2f69eefcfdd6b7b89b0a25"
        }
    }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/transactions/retrieve-a-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
